%define upstream_name    CPANPLUS-Dist-Mageia
%define upstream_version 2.103

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    CPANPLUS backend to build Mageia RPMs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPANPLUS/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:     make_build.patch

BuildRequires: perl(CPANPLUS::Dist::Base)
BuildRequires: perl(CPANPLUS::Error)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(POSIX)
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Pod::POM::View::Text)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(base)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
CPANPLUS::Dist::Mageia is a distribution class to create Mageia packages
from CPAN modules, and all of their dependencies. This allows you to have
the most recent copies of CPAN modules installed, using your package
manager of choice, but without having to wait for central repositories
to be updated.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch1 -p1 -b .MB

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 2.103.0-5.mga8
+ Revision: 1519433
- Mageia 8 Mass Rebuild

* Sat Oct 13 2018 shlomif <shlomif> 2.103.0-4.mga7
+ Revision: 1320146
- fix vendorarch macro on latest mageias

* Thu Sep 20 2018 umeabot <umeabot> 2.103.0-3.mga7
+ Revision: 1281879
- Mageia 7 Mass Rebuild

* Wed May 02 2018 shlomif <shlomif> 2.103.0-2.mga7
+ Revision: 1224740
- modernize the generated .spec files.

* Fri Jul 28 2017 shlomif <shlomif> 2.103.0-1.mga7
+ Revision: 1132070
- New version 2.103

* Mon May 09 2016 shlomif <shlomif> 2.102.0-2.mga6
+ Revision: 1011222
- Add a patch for configure_requires and apply corrections

* Sat Jan 16 2016 shlomif <shlomif> 2.102.0-1.mga6
+ Revision: 923587
- update to 2.102

* Wed Oct 15 2014 umeabot <umeabot> 2.101.0-2.mga5
+ Revision: 750540
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 jquelin <jquelin> 2.101.0-1.mga5
+ Revision: 732405
- update to 2.101

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-4.mga5
+ Revision: 683701
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.0-3.mga4
+ Revision: 509550
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.0.0-2.mga3
+ Revision: 363712
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 2.0.0-1.mga3
+ Revision: 314857
- update to 2.000

* Wed Jul 04 2012 jquelin <jquelin> 1.121.710-1.mga3
+ Revision: 267268
- update to 1.121710

* Wed Sep 28 2011 jquelin <jquelin> 1.112.710-1.mga2
+ Revision: 149841
- update to 1.112710

* Fri Jul 08 2011 jquelin <jquelin> 1.111.890-1.mga2
+ Revision: 120246
- update to 1.111890

* Thu Jun 23 2011 jquelin <jquelin> 1.111.740-1.mga2
+ Revision: 112655
- update to 1.111740

* Wed Jun 22 2011 jquelin <jquelin> 1.111.720-1.mga2
+ Revision: 112325
- update to 1.111720

* Wed Feb 16 2011 jquelin <jquelin> 1.110.471-1.mga1
+ Revision: 52259
- fix spec
- imported package perl-CPANPLUS-Dist-Mageia


* Wed Jan 26 2011 cpan2dist 0.30-1mdv
- initial mdv release, generated with cpan2dist
